#ifndef WEAPON_PICKUP_HPP
#define WEAPON_PICKUP_HPP

#include "godot_cpp/classes/area3d.hpp"
#include "godot_cpp/classes/random_number_generator.hpp"

namespace godot {
//! Item box that can be found around the map. Triggers a pickup on the player when hit.
class WeaponPickup : public Area3D {
    GDCLASS(WeaponPickup, Area3D);
    //! required to be a valid godot class
    static void _bind_methods();
public:
    //! connect body entered observer
    virtual void _enter_tree() override;
    //! If entered node is a CarPlayer, select a random pickup and activate it.
    void body_entered(Node3D *node);
private:
    RandomNumberGenerator rng;
};
}

#endif // !WEAPON_PICKUP_HPP
